peoParaSGATransform(3)

NAME
peoParaSGATransform -

SYNOPSIS

Inherits peoTransform< EOT >< EOT >.

  Public Member Functions
peoParaSGATransform (eoQuadOp< EOT > &__cross, double __cross_rate, eoMonOp< EOT > &__mut, double __mut_rate)
void operator() (eoPop< EOT > &__pop)
void packData ()
void unpackData ()
void execute ()
void packResult ()
void unpackResult ()
void notifySendingData ()
void notifySendingAllResourceRequests ()

  Private Attributes
eoQuadOp< EOT > & cross
double cross_rate
eoMonOp< EOT > & mut
double mut_rate
unsigned idx
eoPop< EOT > * pop
EOT father
EOT mother
unsigned num_term

Detailed Description

  template<class EOT> class peoParaSGATransform< EOT >

Definition at line 36 of file peoParaSGATransform.h.

Author

Generated automatically by Doxygen for ParadisEO from the source code.